Bug 13848 - Negative timeout printed while setting an entry in the cache file
Negative timeout printed while setting an entry in the cache file
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.8.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-20 16:14 UTC by Andreas Schneider
Modified: 2019-04-03 10:32 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.10, 4.9 and 4.8 (64 bytes, patch)
2019-03-20 16:15 UTC, Andreas Schneider
no flags Details
patch for 4.10, 4.9 and 4.8 (1.51 KB, patch)
2019-03-20 17:20 UTC, Andreas Schneider
ab: review+
Details
patch for 4.9 (1.59 KB, patch)
2019-03-21 15:11 UTC, Andreas Schneider
ab: review+
Details
patch for 4.8 (1.59 KB, patch)
2019-03-21 15:11 UTC, Andreas Schneider
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2019-03-20 16:14:42 UTC
Description of problem:

[2019/02/04 01:38:09.894983, 10, pid=9358, effective(0, 0), real(0, 0), class=tdb] ../source3/lib/gencache.c:301(gencache_set_data_blob)
  Adding cache entry with key=[IDMAP/SID2XID/S-1-5-21-4006949566-962402297-1653548521-1109] and timeout=[Wed Dec 31 07:00:00 PM 1969 EST] (-1549262289 seconds in the past)

The timeout is calculated in the wrong integer space.


Patch will follow.
Comment 1 Andreas Schneider 2019-03-20 16:15:57 UTC
Created attachment 14962 [details]
patch for 4.10, 4.9 and 4.8
Comment 2 Andreas Schneider 2019-03-20 17:20:58 UTC
Created attachment 14963 [details]
patch for 4.10, 4.9 and 4.8
Comment 3 Andreas Schneider 2019-03-20 21:31:15 UTC
Karolin, please apply the patch to the relevant branches. Thanks!
Comment 4 Karolin Seeger 2019-03-21 12:46:08 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-10-test.

Patch does not apply on current v4-9-test and v4-8-test.
Comment 5 Andreas Schneider 2019-03-21 13:26:24 UTC
I will upload seperate patches then, thanks.
Comment 6 Andreas Schneider 2019-03-21 15:11:11 UTC
Created attachment 14970 [details]
patch for 4.9
Comment 7 Andreas Schneider 2019-03-21 15:11:34 UTC
Created attachment 14971 [details]
patch for 4.8
Comment 8 Andreas Schneider 2019-03-21 15:12:19 UTC
Karolin, I've cherry-picked the patches from the v4-10 branch which worked just fined and created individual patches for 4.9 and 4.8.
Comment 9 Karolin Seeger 2019-04-02 08:04:32 UTC
Pushed to v4-10-test,
pushed to autobuild-v4-{9,8}-test.

Thanks, Andreas!
Comment 10 Karolin Seeger 2019-04-03 10:32:21 UTC
(In reply to Karolin Seeger from comment #9)
Pushed to all branches.
Closing out bug report.

Thanks!